name='discord-bin'
version='0.0.71'
release='1'
desc='Discord (popular voice + video app) using the system provided electron for increased security and performance'
homepage='https://discord.com/'
maintainer="Евгений Храмов <xpamych@yandex.ru>"
architectures=('amd64')
license=('custom')
provides=('discord')
conflicts=('discord')

deps=('gconf-service' 'gconf2-common' 'libc++1' 'libxtst6' 'libxss1' 'libstdc++6' 'libnss3' 'libnspr4' 'libnotify4' 'libgconf-2-4' 'libatomic1' 'libasound2' 'libc6' 'libappindicator1')
deps_fedora=('libatomic' 'glibc' 'alsa-lib' 'GConf2' 'libnotify' 'nspr' 'nss' 'libstdc++' 'libX11' 'libXtst' 'libappindicator-gtk3' 'libXScrnSaver')
deps_opensuse=('libatomic1' 'glibc' 'alsa' 'gconf2' 'libnotify' 'mozilla-nspr' 'mozilla-nss' 'libstdc++6' 'libX11' 'libXtst' 'libappindicator' 'libc++1' 'libXScrnSaver')
deps_arch=('libnotify' 'libxss' 'nspr' 'nss' 'gtk3' 'libpulse' 'libappindicator-gtk3' 'xdg-utils')
deps_rosa=('libatomic' 'glibc' 'alsa-lib' 'GConf2' 'libnotify' 'nspr' 'nss' 'libstdc++' 'libX11' 'libXtst' 'libappindicator1' 'libXScrnSaver')

sources=("https://dl.discordapp.net/apps/linux/${version}/discord-${version}.tar.gz")
checksums=('SKIP')

package() {
	mkdir -p "${pkgdir}/usr/share/"
	install -Dm644 "${srcdir}/Discord/discord.png" "${pkgdir}/usr/share/pixmaps/discord.png"
	install -Dm644 "${srcdir}/Discord/discord.desktop" "${pkgdir}/usr/share/applications/discord.desktop"
	cp -a "${srcdir}/Discord" "${pkgdir}/usr/share/discord"
	mkdir -p "${pkgdir}/usr/bin/"
	ln -s "${pkgdir}/usr/share/discord/Discord" "${pkgdir}/usr/bin/discord"
}
