name='guilded'
version='1.0.9284034'
release='1'
desc='Chat for Gaming Communities'
homepage='https://www.guilded.gg/'
maintainer_ru='Евгений Храмов <xpamych@yandex.ru>'
architectures=('amd64')
license=('nonfree')
provides=('guilded')
conflicts=('guilded' 'guilded-bin' 'guilded-git')

deps=(
  'gtk3'
  'libnotify'
  'nss'
  'libXScrnSaver'
  'libXtst'
  'xdg-utils'
  'at-spi2-core'
  'util-linux'
  'libappindicator-gtk3'
  'libsecret'
  'libxkbcommon-x11'
  "alsa-lib"
  "libxkbfile"
  "cairo"
  "libXext"
  "libXdamage"
  "libXfixes"
  "libX11"
  "libdrm"
  "libXcomposite"
  "glibc"
  "libxkbcommon"
  "hicolor-icon-theme"
  "expat"
  "glib2"
  "libxcb"
  "pango"
  "libXrandr"
  "dbus"
  "mesa-dri-drivers"
  "nspr"
  "cups-libs"
)

sources=("https://www.guilded.gg/downloads/Guilded-Linux.deb")
checksums=('SKIP')

prepare() {
  cd "${srcdir}"
  bsdtar -xf "Guilded-Linux.deb"
  tar Jxvf data.tar.xz
}

package() {
  cd "${srcdir}"
  cp -r usr "${pkgdir}"
  cp -r opt "${pkgdir}"
  # Link to the binary
  install -dm755 "${pkgdir}/usr/bin/"
  ln -sf "/opt/Guilded/guilded" "${pkgdir}/usr/bin/guilded"
}